export class NotificationCleaner {
  enable () {
    chrome.storage && chrome.storage.sync.set({ 'need-clean-notification': true }, function () {
      console.log('need-clean-notification: ' + true)
    })
  }

  disable () {
    chrome.storage && chrome.storage.sync.set({ 'need-clean-notification': false }, function () {
      console.log('need-clean-notification: ' + false)
    })
  }

  state (): Promise<boolean> {
    return new Promise((resolve, reject) => {
      chrome.storage && chrome.storage.sync.get(['need-clean-notification'], function (result) {
        console.log('Value currently is ' + result['need-clean-notification'])
        resolve(result['need-clean-notification'] || false)
      })
    })
  }
}

export default new NotificationCleaner()
